/**
 * 
 */
package com.samridhsai.ebulawa.perfmon;

import org.slf4j.Logger;
import org.springframework.util.StopWatch;

/**
 * @author kondojis
 * 
 */

@org.aspectj.lang.annotation.Aspect
public class PerformanceAdvice {

	@org.aspectj.lang.annotation.Pointcut("execution(public * com.samridhsai.ebulawa.web..*.*(..))")
	public void aspectjLoadTimeWeavingExamples() {
	}

	@org.aspectj.lang.annotation.Around("aspectjLoadTimeWeavingExamples()")
	public Object profile(org.aspectj.lang.ProceedingJoinPoint pjp) throws Throwable {
		final Logger logger = org.slf4j.LoggerFactory.getLogger(PerformanceAdvice.class);

		StopWatch sw = new StopWatch(getClass().getSimpleName());

		try {
			sw.start(pjp.getSignature().getName());

			return pjp.proceed();
		} finally {
			sw.stop();
			logger.debug(sw.prettyPrint());
		}
	}

}
