/**
 * 
 */
package com.samridhsai.ebulawa.utils;

import javax.servlet.http.HttpSessionEvent;
import org.slf4j.Logger;
import org.springframework.security.web.session.HttpSessionEventPublisher;

/**
 * @author kondojis
 * 
 */
public class SessionLifeCycleEvenPublisher extends HttpSessionEventPublisher {
	private Logger logger = org.slf4j.LoggerFactory.getLogger(SessionLifeCycleEvenPublisher.class);

	@Override
	public void sessionCreated(HttpSessionEvent event) {
		logger.debug("Session created with id: " + event.getSession().getId());

		// Publish session created event to Application Context
		super.sessionCreated(event);
	}

	@Override
	public void sessionDestroyed(HttpSessionEvent event) {
		logger.debug("Session destroyed with id: " + event.getSession().getId());
		
		// Publish a session destroyed event to Application Context
		super.sessionDestroyed(event);
	}

}
