/**
 * 
 */
package com.samridhsai.ebulawa.web.pages;

import org.slf4j.Logger;
import org.springframework.mobile.device.Device;
import org.springframework.mobile.device.site.SitePreference;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * Renders Welcome, Contact, About, PrivcayPolicy, Copyright etc pages
 * 
 * @author kondojis
 * 
 */
@Controller
@RequestMapping("/pages")
public class PagesController {
	private Logger logger = org.slf4j.LoggerFactory
			.getLogger(PagesController.class);

	/**
	 * 
	 * URL: http://www.ebulawa.com/pages/ METHOD: "GET"
	 * 
	 * @return Welcome view
	 */
	@RequestMapping(method = RequestMethod.GET)
	public String homeHandler(Device device, SitePreference sitePreference) {
		logger.debug("Landed on Welcome page! ");

		if (sitePreference == SitePreference.MOBILE) {
			// prepare mobile view for rendering
			return "Welcome-mobile";
		} 
		else {
			return "Welcome"; 
		}
	}

	/**
	 * 
	 * URL: http://www.ebulawa.com/pages/Welcome METHOD: "GET" default
	 * request-to-view-translator being used to render page
	 * 
	 * @return Welcome view
	 */
	@RequestMapping(value = "/Welcome", method = RequestMethod.GET)
	public String welcomeHandler(Device device, SitePreference sitePreference) {
		logger.debug("Landed on Welcome page! ");
		if (sitePreference == SitePreference.MOBILE) {
			// prepare mobile view for rendering
			return "Welcome-mobile";
		} 
		else {
			return "Welcome"; 
		}
	}
	/**
	 * Show a page generated by WNG to the user.
	 * The page will automatically render in format that's graded as the optimal format for the user's device (e.g. WML, XHTML Simple, XHTML Advanced).
	 */
	@RequestMapping(value = "/Wng", method = RequestMethod.GET)
	public String wng() {
		return "Wng";
	}
	/**
	 * 
	 * URL: http://www.helloguests.com/PrivacyPolicy METHOD: "GET" default
	 * request-to-view-translator being used to render page
	 * 
	 * @return PrivacyPolicy view
	 */
	@RequestMapping(value = "/PrivacyPolicy", method = RequestMethod.GET)
	public String privacypolicy(Device device, SitePreference sitePreference) {
		logger.debug("Landed on Privacy Policy page!");
		if (sitePreference == SitePreference.MOBILE) {
			// prepare mobile view for rendering
			return "PrivacyPolicy-mobile";
		} 
		else {
			return "PrivacyPolicy"; 
		}
	}

	/**
	 * 
	 * URL: http://www.helloguests.com/About METHOD: "GET" default
	 * request-to-view-translator being used to render page
	 * 
	 * @return About view
	 */
	@RequestMapping(value = "/About", method = RequestMethod.GET)
	public String aboutus(Device device, SitePreference sitePreference) {
		logger.debug("Landed on About page!");
		if (sitePreference == SitePreference.MOBILE) {
			// prepare mobile view for rendering
			return "About-mobile";
		} 
		else {
			return "About"; 
		}		
	}

	/**
	 * 
	 * URL: http://www.helloguests.com/Copyright METHOD: "GET" default
	 * request-to-view-translator being used to render page
	 * 
	 * @return Copyright view
	 */
	@RequestMapping(value = "/Copyright", method = RequestMethod.GET)
	public String copyright(Device device, SitePreference sitePreference) {
		logger.debug("Landed on Copyright page!");
		if (sitePreference == SitePreference.MOBILE) {
			// prepare mobile view for rendering
			return "Copyright-mobile";
		} 
		else {
			return "Copyright"; 
		}
	}

	/**
	 * 
	 * URL: http://www.helloguests.com/Contact METHOD: "GET" default
	 * request-to-view-translator being used to render page
	 * 
	 * @return Contact view
	 */
	@RequestMapping(value = "/Contact", method = RequestMethod.GET)
	public String contactus(Device device, SitePreference sitePreference) {
		logger.debug("Landed on Contact page!");
		if (sitePreference == SitePreference.MOBILE) {
			// prepare mobile view for rendering
			return "Contact-mobile";
		} 
		else {
				return "Contact"; 
		}
	}
}
